package cn.iocoder.yudao.module.configure.convert.tracelink;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.configure.controller.admin.tracelink.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.tracelink.TraceLinkDO;

/**
 * 溯源模板-环节 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface TraceLinkConvert {

    TraceLinkConvert INSTANCE = Mappers.getMapper(TraceLinkConvert.class);

    TraceLinkDO convert(TraceLinkCreateReqVO bean);

    TraceLinkRespVO convert(TraceLinkDO bean);

    List<TraceLinkRespVO> convertList(List<TraceLinkDO> list);

    PageResult<TraceLinkRespVO> convertPage(PageResult<TraceLinkDO> page);

    List<TraceLinkExcelVO> convertList02(List<TraceLinkDO> list);

}
